Get list of associated Data Templates

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches all data templates associated with a specific file or folder.

Endpoints

OAuth Scope

WorkDrive.files.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/files/{resource_id}/custommetadata \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

resource_idstring(Required)

The unique ID of the file or folder.

Response Example

R004

F7003

R008

R008

F7004

R004

F000

200
200
400
401
403
404
500
Copied!
  {
    "data": [
      {
        "id": "nrkrod816f237389b4c05a65fc15b4a4dacc3-24000000581001",
        "type": "custommetadata",
        "attributes": {
          "data_template_id": "nrkroc4c5f3259e2a410da17c3915ea990dde-24000000581001",
          "name": "Recruitment - 2021",
          "description": "Associate files and folders of all candidates registered for recruitment in 2021",
          "resource_id": "nrkrod816f237389b4c05a65fc15b4a4dacc3",
          "custom_data": [
            {
              "custom_field_id": "nrkrod816f237389b4c05a65fc15b4a4dacc3-MjQwMDAwMDA1ODEwMDEtMjQwMDAwMDA1ODIwMDE",
              "display_name": "Candidate Name",
              "type": "text",
              "column_name": "CF60",
              "field_properties": {
                "description": "Name of the candidate",
                "is_mandatory": true,
                "default_value": "",
                "max_char_length": "50"
              },
              "value": "Peter",
              "index": 0
            },
            {
              "custom_field_id": "nrkrod816f237389b4c05a65fc15b4a4dacc3-MjQwMDAwMDA1ODEwMDEtMjQwMDAwMDA1ODIwMDI",
              "display_name": "Candidate Role",
              "type": "dropdown",
              "column_name": "CF61",
              "field_properties": {
                "description": "Role of the candidate",
                "is_mandatory": false,
                "default_value": ""
              },
              "value": "Developer",
              "index": 1,
              "choices": [
                {
                  "key": "Developer"
                },
                {
                  "key": "Designer"
                },
                {
                  "key": "Marketer"
                }
              ]
            }
          ],
          "is_associated_without_cf": false,
          "status": true
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/api/v1/custommetadata/nrkrod816f237389b4c05a65fc15b4a4dacc3-24000000581001"
        }
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R004",
        "title": "Invalid resourceId"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F7003",
        "title": "Invalid OAuth token"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Unauthorized access"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F7004",
        "title": "Invalid OAuth scope"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R004",
        "title": "Invalid resourceId passed"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General exception"
      }
    ]
  }
                
Show full